Bug 39052 - FORMATTING single characters in titles, axis titles and other labels in charts is not possible
Summary: FORMATTING single characters in titles, axis titles and other labels in chart...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: high enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: difficultyInteresting, needsDevEval, skillCpp, topicUI
: 61676 78025 108901 (view as bug list)
Depends on:
Blocks: Chart-Labels
  Show dependency treegraph
 
Reported: 2011-07-07 16:07 UTC by Francisco
Modified: 2017-12-26 07:17 UTC (History)
13 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample Document (13.43 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-12-08 15:59 UTC, Rainer Bielefeld Retired
Details
buggy text box inside chart (37.81 KB, image/png)
2012-12-08 17:34 UTC, Francisco
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Francisco 2011-07-07 16:07:33 UTC
I have tried to search for this bug in Bugzilla (and even Google) but with no luck. The only reference I've found is in OOo bugzilla. This bug is related to (or maybe I should say it's the same):

http://openoffice.org/bugzilla/show_bug.cgi?id=6521
http://openoffice.org/bugzilla/show_bug.cgi?id=1489

I'm really, really sorry if this is a duplicate, but I have not found a bug report concerning this one.

As you see, this bug is pretty old. I found it in Go-OO 3.2 and it's still present in LibO 3.3.3 (Windows x86, Linux x86_64) and Lib 3.4.1 (Windows x86).

How to reproduce it:
1) Open Calc
2) Make a scatter chart with 2 series and add the title of chart and axes title there
3) Open the OLE object, and then try to edit the format of a single character of the chart title or axes title.
4) Select that character and try to change its format. 
5) There ISN'T any UI for that (I mean: one would want to change font and size as in simple text)
6) Select Format option from toolbar or via right click.
7) Select "font format tab" and change font type, size, and/or kind (bold, italic, etc) and exit.
8) It's impossible to select a "position" for the character, as the tab "position" is not shown in the windows
9) The format is applied to all text, instead a single character.
10) Hotkeys: Ctrl+B, Ctrl+I, Ctrl+P, etc, doesn't work
11) Customise the format toolbar present when editing charts adding "Character" button.
12) Select a single character again and the press the format button
13) The preview doesn't show the selected character.
14) There's now a "position" tab, being able to select superscript/subscript format.
15) The format is present in the chart title/axes title, but it disappear after exit the editing mode.

Workaround:
1) Make a text box from the draw toolbar.
2) and give it the text of the titles you need
3) the text remains (and "character" button is very helpful), but it's not well shown when sharing files with Excel.


I'm a PhD student who works a lot with charts of different variables. Formatted text in chart titles/axes titles is very often in physics (variables ARE in italics, units (ft/s, ºF, for example) are normal text, and there are sub/superscripts very frequently).

Although I used to use formatted titles charts and axes titles, this is not critical at all for me but, it's quite sad because it seems to be a "so basic" feature that I feel it's a pity it hasn't been implemented yet. And i'm not talking about "step 5", I'm talking about the ability to do it.

So I haven't found a report for this bug andI feel it was needed to make it.

Regards. And again, sorry if this is not the place to request this kind of features (but I haven't fund any other place).
Comment 1 Jeffrey 2011-07-07 18:32:43 UTC
Reproduced on LibreOffice 3.4  340m1(Build:12) for OpenSuse Linux.

Thank you for the thorough overview. It does seem like there is a problem fixing text boxes in charts in Calc, while editing text boxes anywhere else is ok. Hopefully this bug gets fixed soon.
Comment 2 Francisco 2011-07-07 19:40:25 UTC
(In reply to comment #1)
> Hopefully this bug gets fixed soon.

I can't deny it, I'm very happy to hear (read?) that! :D
Comment 3 Rainer Bielefeld Retired 2011-09-27 22:15:18 UTC
[Reproducible] with "LibreOffice 3.4.3 RC2 - WIN7 Home Premium (64bit) German UI [OOO340m1 (Build:302)]" 
Especially subscript or superscript IMHO would be required urgently.

Heritage from OOo

This is an enhancement request, definitively not a "3.4 most annoying bug"
Comment 4 Francisco 2011-09-28 07:19:27 UTC
(In reply to comment #3)

> This is an enhancement request, definitively not a "3.4 most annoying bug"

Ok, I understand. I was just asking.
Comment 5 Björn Michaelsen 2011-12-23 12:21:55 UTC Comment hidden (obsolete)
Comment 6 Francisco 2011-12-25 21:50:15 UTC
Still reproducible with LOdev 3.5beta2, Build ID 8589e48-760cc4d-f39cf3d-1b2857e-60db978 on MS Windows XP SP3 x86 runinig on VirtualBox
Comment 7 Rainer Bielefeld Retired 2011-12-26 00:58:37 UTC
This is a more general problem. I wonder whether also other objects might be affected.

Status of this bug report has been modified wrongly by a bulk change.
Comment 8 Francisco 2011-12-26 08:45:01 UTC
(In reply to comment #7)
> This is a more general problem. I wonder whether also other objects might be
> affected.

So far, I have found it *only* in "chart" and "chart axes" titles. There are other problems with text boxes some times, but I think they are different.
 
> Status of this bug report has been modified wrongly by a bulk change.

Do you mean 3.4->3.5?
Comment 9 Francisco 2012-01-16 15:00:09 UTC
Don't want to be a ungrateful nor sound irritating, but, how possible is to fix this bug for 3.4.6? Just asking
Comment 10 Francisco 2012-12-08 01:38:11 UTC
Or maybe 3.6.5...? :-|
Comment 11 Urmas 2012-12-08 15:00:57 UTC
No, it's rather serious enhancement. Some people have been waiting for theirs about 12 years already.
Comment 12 Rainer Bielefeld Retired 2012-12-08 15:56:59 UTC
Who needs that really will find out that he can integrate Draw Text boxes into the Chart. 

But indeed, I think that would be a nice enhancement. I think it would be easy to enable corresponding context menu items, but the challenge will be to get that working without conflicts with the chart Title (and so on) edit menu. Currently I do not know whether there exist needs to keep these Chart-Title-Dialog functions (may be for some automated functions?). But it should be easy to disable the fields in the Chart-Title-Dialog after the text box has been edited as Draw Text box.

@Ivan:
What do you think? Possible EasyHack or pie in the sky?
Comment 13 Rainer Bielefeld Retired 2012-12-08 15:59:23 UTC
Created attachment 71204 [details]
Sample Document

Shows that the Title is something very similar to a Draw Text Box, but with limited edit capabilities
Comment 14 Francisco 2012-12-08 17:34:40 UTC
Created attachment 71210 [details]
buggy text box inside chart

> Who needs that really will find out that he can integrate 
> Draw Text boxes into the Chart. 

Yes, that's what I indicated in the proposed "workaround", and it is what I do when I have to present 1 or 2 charts.

But I use to work with many charts, in general, between 10 and 20 per paper. And I don't really know how many of them are in my thesis. In this cases, working with Draw text boxes is quite tedious, because adding all the needed titles for many charts is easier in the corresponding window. 

But it's also tedious because shortcuts doesn't work, as I say in step 10 (for both, native and Draw textboxes). Maybe this is a different bug which needs a separate report. If that's the case, I'll do it.

Other problem with Draw textboxes is that its buggy, at least in v-3.5.6 (at least in both O.S. versions I've checked: Windows XP 32b, Kubuntu 12.04 64b). For example, this is what I see once I opened the chart you added in sample.odt through a double click (file 1.png). There are other problems with Maybe this is another bug...? I should check v-3.6.x but I think the problem is the version that Kubuntu ships.
Comment 15 Francisco 2012-12-08 17:41:34 UTC
Thank you Rainer, realized I uploaded the file with wrong class but I did not how correct it.
Comment 16 Ivan Timofeev (retired) 2012-12-08 19:04:51 UTC
(In reply to comment #12)
> @Ivan:
> What do you think? Possible EasyHack or pie in the sky?

I don't know how does this stuff work, so to me it's pie in the sky. :( I can't provide any code pointers.
Comment 17 stragu 2013-04-22 01:54:15 UTC
*** Bug 61676 has been marked as a duplicate of this bug. ***
Comment 18 stragu 2013-04-22 01:57:38 UTC
This is still a problem in 4.0.2

As a research assistant in biology, I find it very frustrating not to be able to format as subscript of superscript for chemical formulas for example. This prevents to use the graphing capabilities of LO for publication-level graphics.
Comment 19 stragu 2013-06-01 07:59:33 UTC
I added this to the "Vote for enhancement" page on the LibreOffice Wiki, if anyone is interested in giving this more visibility:

https://wiki.documentfoundation.org/Vote_for_Enhancement#Bug_39052_-_FORMATTING_single_characters_in_titles.2C_axis_titles_and_other_labels_in_charts_is_not_possible

Cheers
Comment 20 Francisco 2013-06-01 13:39:06 UTC
Thank you chtfn, I have voted right now.
Comment 21 Francisco 2013-06-01 13:45:24 UTC
@chtfn

Besides the proposed workarounds (adding custom Draw textboxes, which can be formatted), you may also use special characters of typefaces that has their own sub/supperscripts, like Libertine or Biolinum. Of course you cannot insert them from inside the chart, but you could insert them in a cell, and den copy/cut them in chart textboxes. Yes, tricky, It's just another option.
Comment 22 ign_christian 2013-06-11 02:53:08 UTC
@Francisco
> Created attachment 71210 [details]
> buggy text box inside chart
So this bug tells about FILESAVE problem? Workaround: double-click textbox > click outside textbox > double-click textbox again > click outside textbox
Saving as xls or xlsx generates different results.

@chtfn
> As a research assistant in biology, I find it very frustrating not to be
> able to format as subscript of superscript for chemical formulas for
> example. This prevents to use the graphing capabilities of LO for
> publication-level graphics.
Though currently it can't be edited using 'Text Formatting' toolbar, we can do this as workaround: double-clicking text box > mark the texts > right-click > Character > Font Position

LO 4.0.4.1 (Win7 32bit)
Comment 23 stragu 2013-06-11 03:48:05 UTC
@Christian

I can't see the workaround you are talking about.
I just tried in LO 4.0.3.3, with a text range in the title of a chart. All I can see is "Format title" and "Position and size", but none of them let you use subscripts of superscripts...
Maybe I did not understand?
Comment 24 Francisco 2013-06-11 03:56:36 UTC
Hi Ign. 

(In reply to comment #22)
> @Francisco
> > Created attachment 71210 [details]
> > buggy text box inside chart
> So this bug tells about FILESAVE problem? Workaround: double-click textbox >
> click outside textbox > double-click textbox again > click outside textbox
> Saving as xls or xlsx generates different results.

Bug 58027 had been already filled for this issue.

> @chtfn
> > As a research assistant in biology, I find it very frustrating not to be
> > able to format as subscript of superscript for chemical formulas for
> > example. This prevents to use the graphing capabilities of LO for
> > publication-level graphics.
> Though currently it can't be edited using 'Text Formatting' toolbar, we can
> do this as workaround: double-clicking text box > mark the texts >
> right-click > Character > Font Position
> 
> LO 4.0.4.1 (Win7 32bit)

If you read the detailed steps for reproducing this bug, you will find that I have already stated that "Character" button doesn’t work for native chart textboxes. In fact, right click doesn't show "Character" option. You must customize a toolbar for that (step 11). But even in that case, as the title states, it is not possible to format single characters of native chart texboxes. Any format given to the native texbox (title, subtitle, axis titles) is given to all the text.

And, as a workaround, one must create a custom textbox, which *is* formateable. The problem with this arises when one has to work with many, many charts. My thesis has 79 figures, of which 70 could have had subscripts and italic individual characters in their axis title. But adding custom textboxes (which are not automatically centred as native texboxes), and formatting them, one by one, through "right click"->"character" is really tedious (and that's the reason of bug 58038). At the end, I preferred something a little less "professional looking" than doing that work. This is, of course, my personal experience.
Comment 25 ign_christian 2013-06-11 05:31:18 UTC
@chtfn & Francisco

I'm sorry for the mess..I did testing with Draw/custom textbox. I didn't read clearly, & still have to learn alot :-)
Comment 26 Francisco 2013-06-11 13:51:09 UTC
(In reply to comment #25)
> @chtfn & Francisco
> 
> I'm sorry for the mess..I did testing with Draw/custom textbox. I didn't
> read clearly, & still have to learn alot :-)

Don't worry :-)
Comment 27 Francisco 2014-01-10 15:18:18 UTC
I'd like to share my thoughts about this issue. I'm not a developer but I have had an idea and I'd like to share it.

This issue is a bit strange to me: native chart textboxes seems to behave completely different from the rest of the objects that can be drawn even inside charts. I think the reason is both textboxes have been coded separately, while chart texteboxes are more _basic_.

My idea is that, if this is the case, maybe it is easier to use directely Draw textboxes when the "chart title", "axis title" options are called, instead of _repairing_ Chart textboxes.

(maybe it's obvious, anyway since nobody says anything... :-| )
Comment 28 Joel Madero 2014-02-27 23:23:38 UTC
In order to limit the confusion between ProposedEasyHack and EasyHack and to make queries much easier we are changing ProposedEasyHack to NeedsDevEval.

Thank you and apologies for the noise
Comment 29 Christian Pietzsch 2015-01-19 21:52:44 UTC
It's really sad that this hasn't been enchanced after such a long time (still not possible in 4.2.7.2) . I'm an engineer-to-be and often have to deal with sub- or superscripted things in diagrams.
I hope someone will try to fix it.

Thanks in adavance
Christian
Comment 30 Francisco 2015-01-19 22:04:44 UTC
(In reply to christian.pietzsch from comment #29)
> It's really sad that this hasn't been enchanced after such a long time
> (still not possible in 4.2.7.2) . I'm an engineer-to-be and often have to
> deal with sub- or superscripted things in diagrams.
> I hope someone will try to fix it.
> 
> Thanks in adavance
> Christian

Christian:

If you haven't done it already, please vote this bug in the "Vote for Enhancement" page: 

https://wiki.documentfoundation.org/Vote_for_Enhancement#fdo.2339052_-_FORMATTING_single_characters_in_titles.2C_axis_titles_and_other_labels_in_charts_is_not_possible

You only need an account in the TDF wiki, and edit that page adding your reason to vote for this bug.
Comment 31 Joel Madero 2015-01-21 22:39:29 UTC
not to be rude but VOTE literally means nothing at all...that page is not looked at by developers, has no impact on how fast an issue is resolved, etc...

That being said - this will only be implemented if a developer takes interest in it, someone cc'ed on this bug submits a patch, or someone(s) pays a third party to implement it.

Again - not being rude, just trying to explain how things work. Thanks
Comment 32 Robinson Tryon (qubit) 2015-12-14 06:13:12 UTC Comment hidden (obsolete)
Comment 33 bruno.binet 2016-06-07 19:28:20 UTC
Still an issue on the 5.0 branch (Linux)
Comment 34 Laurent BP 2016-08-19 15:08:23 UTC
*** Bug 78025 has been marked as a duplicate of this bug. ***
Comment 35 bruno.binet 2017-03-08 01:07:39 UTC
Issue still present on 5.2.5.
Comment 36 Xisco Faulí 2017-12-26 07:17:25 UTC
*** Bug 108901 has been marked as a duplicate of this bug. ***